import { AdminShopOffer } from "./admin.shopoffer.service";
import { UpdateShopOfferDto, UpdateStatusDto } from "./shopoffer.dto";
export declare class AdminShopOfferController {
    private readonly AdminShopOffer;
    constructor(AdminShopOffer: AdminShopOffer);
    findOne(shopId: number): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/shopoffer/shopoffer.entity").ShopOffer;
    }>;
    update(shopId: number, updateShopOfferDto: UpdateShopOfferDto): Promise<{
        status: boolean;
        message: string;
    }>;
    updateUserStatus(id: number, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
